{
  "nombre": "Administracion de Secuencias",
  "botones": [
    {
      "texto": "Agregar Secuencia",
      "icono": "add",
      "endpoint": "Engine",
      "type": "dialog",
      "action": {
        "type": "dialog",
        "config": {
          "location": "structure/dinamicWindows/",
          "title": "Creación de un Nueva Secuencia",
          "action": "creacion",
          "name": "secuencia"
        }
      }
    }
    
  ],
  "filtros": {
    "submitFunction": "Engine?paquete=creacionDeCuenta&clase=Test&metodo=test&parametros={'s': $(TPrcId)}",
    "hideButton": false,
    "fields": [
      {
        "label": "Proceso",
        "name": "TPrcId",
        "type": "supercombobox",
        "tabla": "tprc",
        "id": "TPrcId",
        "text": "TPrcNom",
        "disabled": false,
        "where": "EmpresaId = ",
        "filterByEmpId": true
      }
    ]
  },
  "body": [
    {
      "componente": "SuperGrid",
      "resultVariableName": "",
      "botones": [
        {
          "order": 1,
          "icon": "edit",
          "name": "Editar",
          "disabledCondition": "&userType = 'basic'",
          "action": {
            "type": "dialog",
            "config": {
              "location": "structure/dinamicWindows/",
              "title": "Edición de Secuencia",
              "action": "edicion",
              "name": "secuencia"
            }
          }
        },
        {
          "order": 2,
          "icon": "delete",
          "name": "Eliminar Secuencia",
          "action": {
            "type": "apicall",
            "url": "Engine",
            "mode": "form-urlencoded",
            "mensajeExitoso": "La secuencia fue eliminada exitosamente",
            "mensajeError": "No se pudo borrar la secuencia",
            "formData": {
              "paquete": "std",
              "clase": "Std",
              "metodo": "deletO2M",
              "parametros": {
                "tabla": "tseq",
                "tablaHijo": "",
                "campoId": "TSeqId",
                "cabe": "$(resultData)",
                "where": "TSeqId = 139"
              }
            }
          }
        }
      ],
      "condicion" : "$(TPrcId)"
    }
  ]
}
